<?php

namespace xenarabia\MYMMSMSG\XF\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;


class MmsMsgs extends Entity
{
	protected function _preSave()
	{
		$mms = $this->finder('xenarabia\MYMMSMSG\XF:MmsMsgs')->where('mms_img_name', $this->mms_img_name)->total();
		if ($mms > 0) {
			$this->error(\XF::phrase('mms_this_msgs_is_already_in_db', ['name' => $this->mms_img_name]));
		}
	}
	
	public static function getStructure(Structure $structure)
	{
		$options = \XF::options();
		$structure->table = 'xa_my_mms';
		$structure->shortName = 'xenarabia\MYMMSMSG\XF:MmsMsgs';
		$structure->primaryKey = 'mms_id';
		$structure->columns = [
			'mms_id' => ['type' => self::UINT, 'autoIncrement' => true],				
			'mms_cat_id' => ['type' => self::UINT ],	
			'mms_img_name' => ['type' => self::STR ],	
            'mms_act' => ['type' => self::UINT, 'default' => 0]
		];
		$structure->getters = [];
		$structure->relations = [
			'CatMyMms' => [
				'entity' => 'xenarabia\MYMMSMSG\XF:CatMyMms',
				'type' => self::TO_ONE,
				'conditions' => [['cat_id', '=', '$mms_cat_id']],
				'primary' => true
            ],
			'UserMsgs' => [
				'entity' => 'XF:User',
				'type' => self::TO_ONE,
				'conditions' => [['user_my_mms', '=', '$mms_id']],
				'primary' => true
            ],

		];
		
		
		return $structure;
    }
    
}